# coding: utf-8

from procu.api import models
from procu.api.common.fields import EmployeeField
from procu.rest import serializers


class ListRetrieve(serializers.ModelSerializer):

    users = EmployeeField(required=False, allow_empty=True, many=True)

    class Meta:
        model = models.OracleCFO
        fields = ('id', 'key', 'name', 'users')
